# La superficie de decisión para un problema
# de clasificación resuelto con
# Redes Neuronales Artificiales
#
# Fraga 21.10.2020
#
import numpy as np
import matplotlib.pyplot as plt
import rna

X = np.loadtxt( "Xprueba.txt" )

h = 0.05
xx, yy = np.meshgrid(np.arange( -1.2, 1.2, h),
                     np.arange( -1.2, 1.2, h) )	

Z = np.c_[ xx.ravel(), yy.ravel() ]
# print( "Z:", Z.shape ) 
j = 0
for xy in Z :
	xy[0] = rna.clasifica( np.array( [ xy[0], xy[1] ] ) )
	j += 1 

# print( Z.shape )
Z = Z[:,0].reshape( xx.shape )

fig, ax = plt.subplots( )
ax.contourf( xx, yy, Z, cmap=plt.cm.coolwarm, alpha=0.8 )
ax.set_aspect( 1 )
ax.scatter( X[:,0], X[:,1], marker='o', edgecolors='k' )
ax.set_xlabel('Característica 1')
ax.set_ylabel('Característica 2')
ax.set_title( 'Clasificador con RNA' )

plt.show( ) 
